/**
 * Date模块
 * @date 2022-03
 * @author 何华东
 */
/**
 * 日期格式化字符串 `YYYY-MM-DD`
 */
export declare let DATE_FORMAT: string;
/**
 * 日期+时间格式化字符串 `YYYY-MM-DD HH:mm:ss`
 */
export declare let DATE_TIME_FORMAT: string;
/**
 * Date工具类
 */
export default class DateUtils {
    /**
     * 时间格式化
     *
     * @param date 默认当前系统时间
     * @param format 默认 `YYYY-MM-DD HH:mm:ss`
     */
    static format(date: any, format?: string): string;
    /**
     * 获取`unix`时间戳(毫秒)
     */
    static getUnixTimestamp(date?: any): any;
    /**
     * 求两个时间相差年数
     * @param dateFrom 开始时间
     * @param dateTo 结束时间
     */
    static diffYears(dateFrom: any, dateTo: any): any;
    /**
     * 求两个时间相差月数
     * @param dateFrom 开始时间
     * @param dateTo 结束时间
     */
    static diffMonths(dateFrom: any, dateTo: any): any;
    /**
     * 求两个时间相差天数
     * @param dateFrom 开始时间
     * @param dateTo 结束时间
     */
    static diffDays(dateFrom: any, dateTo: any): any;
    /**
     * 求两个时间相差分钟数
     * @param dateFrom 开始时间
     * @param dateTo 结束时间
     */
    static diffMinutes(dateFrom: any, dateTo: any): any;
    /**
     * 求两个时间相差秒数
     * @param dateFrom 开始时间
     * @param dateTo 结束时间
     */
    static diffSeconds(dateFrom: any, dateTo: any): any;
    /**
     * 求两个时间相差毫秒数
     * @param dateFrom 开始时间
     * @param dateTo 结束时间
     */
    static diffMilliseconds(dateFrom: any, dateTo: any): any;
    /**
     * 对date时间部分清零, 保留年月日
     */
    static clearTime(date: Date): Date;
    /**
     * 验证date是否有效
     */
    static isValid(date: any): any;
    /**
     * 获取上个日期
     */
    static getPrevDate(date?: any): any;
    /**
     * 获取下个日期
     */
    static getNextDate(date?: any): any;
    /**
     * 获取当月第一天
     */
    static getFirstDayOfMonth(date?: any): any;
    /**
     * 获取当月最后一天
     */
    static getLastDayOfMonth(date?: any): any;
}
export { DateUtils };
